%define oname   debugger

Name:       ruby-%{oname}
Version:    1.2.1
Release:    %mkrel 2
Summary:    A fast Ruby debugger
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-debugger-linecache
BuildRequires: ruby-debugger-ruby_core_source

%description
debugger is a fast implementation of the standard Ruby debugger debug.rb. It is
implemented by utilizing a new Ruby C API hook. The core component provides
support that front-ends can build on. It provide breakpoint handling, bindings
for stack frames among other things.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/ext/

%files
%{_bindir}/rdebug
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{_libdir}/ruby/site_ruby/ruby_debug.so

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 380797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 1.2.1-1.mga3
+ Revision: 314417
- Add missing BuildRequires
- Importing the ruby-debugger pkg based on the Mga ruby-nokogiri

